create procedure rrhh.sp_actualizarDescripcionReciboEmpleado
@txtCodempleado varchar(15),
@txtDescripcion text,
@dbResponse varchar(300) output
as
begin
	set nocount on;
	declare @dbCnt int;
	begin tran actualizarDescripcion
	begin try
		select @dbCnt = COUNT(*) from rrhh.det_descripcionServiciosProfesionalesEmpleados where codempleado = @txtCodempleado and estado = 1;
		if @dbCnt > 0
			begin
				update rrhh.det_descripcionServiciosProfesionalesEmpleados set descripcion = @txtDescripcion, ultimaActualizacion = GETDATE() where codempleado = @txtCodempleado and estado = 1;
			end
		else
			begin
				insert into rrhh.det_descripcionServiciosProfesionalesEmpleados(codempresa,codempleado,descripcion) values(8,@txtCodempleado,@txtDescripcion);
			end
		SET @dbResponse = 'success'
		commit tran actualizarDescripcion
	end try
	begin catch
		SET @dbResponse = 'Ocurrió el siguiente error: '+ERROR_MESSAGE()+', en la línea '+ CONVERT ( NVARCHAR ( 255 ), ERROR_LINE( ) );
		rollback tran actualizarDescripcion
	end catch
end